Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064510 - re-enable THP in latency-performance profile
Summary: re-enable THP in latency-performance profile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuned
Version: 7.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: Branislav Blaškovič
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 18:19 UTC by Jeremy Eder
Modified: 2014-06-18 07:34 UTC (History)
5 users (show)

Fixed In Version: tuned-2.3.0-7.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:17:50 UTC


Attachments (Terms of Use)

Comment 1 Jaroslav Škarvada 2014-02-14 11:41:22 UTC
Leaving THP on its default like it was originally (before bug 888793). Please let me know if you rather need it to be explicitly enabled, by e.g.:
transparent_hugepages=always

Comment 5 Branislav Blaškovič 2014-03-06 14:08:45 UTC
Adjusting existing testcase TC# to match [always] in THP.

:: [   PASS   ] :: Running 'tuned-adm profile latency-performance' (Expected 0, got 0)
:: [   LOG    ] :: This bug was reverted back. According to bug 1064510 should not be THP adjusted by this profile. It is work for network-latency profile now.
:: [   PASS   ] :: File '/sys/kernel/mm/transparent_hugepage/enabled' should contain '\[always\]' 
:: [   PASS   ] :: Running 'tuned-adm profile virtual-guest' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 2s
:: [   LOG    ] :: Assertions: 3 good, 0 bad
:: [   PASS   ] :: RESULT: Test

Testing with tuned-2.3.0-9.el7.noarch.

Comment 6 Ludek Smid 2014-06-13 12:17:50 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.